Skip to main content
GET
/
assets
/
{symbol}
/
orderbook
Get top-of-book order book
curl --request GET \
  --url https://api.bluumfinance.com/v1/assets/{symbol}/orderbook \
  --header 'Authorization: Basic <encoded-value>'
{
  "object": "investor",
  "livemode": false,
  "symbol": "<string>",
  "market": "<string>",
  "bids": [
    {
      "price": 123,
      "size": 123,
      "order_count": 123
    }
  ],
  "asks": [
    {
      "price": 123,
      "size": 123,
      "order_count": 123
    }
  ],
  "source": "<string>",
  "timestamp": "2023-11-07T05:31:56Z",
  "id": "inv_01j9x8m2k7qpzwv3t5r6y8n0ab",
  "created": 1747776000,
  "metadata": {}
}

Authorizations

Authorization
string
header
required

HTTP Basic Authentication using the API Key as username and API Secret as password.

Path Parameters

symbol
string
required

Query Parameters

market
string

Market hint for disambiguation

Response

Order book

Envelope-wrapped order book (object: order_book).

object
string
required

The resource type discriminator.

Example:

"investor"

livemode
boolean
required

Whether this resource was created against a live API key. Test-mode keys always return false.

Example:

false

symbol
string
required
market
string
required
bids
object[]
required
asks
object[]
required
source
string
required
timestamp
string<date-time>
required
id
string

Prefixed public id (e.g. inv_…, ord_…, dep_…).

Example:

"inv_01j9x8m2k7qpzwv3t5r6y8n0ab"

created
integer | null

Unix-seconds timestamp of resource creation.

Example:

1747776000

metadata
object

Partner-set key/value map for cross-referencing.